petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGlobalToLocalBegin

Begins updating local vectors from global vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGlobalToLocalBegin(DM dm,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on dm

### Input Parameters

| dm | - the DM object
| g | - the global vector
| mode | - INSERT_VALUES or ADD_VALUES
| l | - the local vector

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocal(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin(), DMLocalToGlobal(), DMLocalToGlobalBegin(), DMLocalToGlobalEnd()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ksp/ksp/examples/tutorials/ex14f.F90.html

### Implementations

DMGlobalToLocalBegin_Composite in src/dm/impls/composite/pack.c
DMGlobalToLocalBegin_DA in src/dm/impls/da/dagtol.c
DMGlobalToLocalBegin_Moab in src/dm/impls/moab/dmmbvec.cxx
DMGlobalToLocalBegin_Network in src/dm/impls/network/network.c
DMGlobalToLocalBegin_Redundant in src/dm/impls/redundant/dmredundant.c
DMGlobalToLocalBegin_Sliced in src/dm/impls/sliced/sliced.c
DMGlobalToLocalBegin_Stag in src/dm/impls/stag/stag.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages